<ion-header>
  <app-header title="Noticias"></app-header>
  <ion-segment style="background-color: white;"  (ionChange)="segmentChanged($event)">
    <ion-segment-button  *ngFor="let category of categorias" [value]="category" >
      <ion-label class="ion-text-uppercase">{{category}}</ion-label>
    </ion-segment-button>
  </ion-segment>
</ion-header>

<ion-content>
  <app-news [articles]="articles"></app-news>

  <ion-infinite-scroll threshold="25%" (ionInfinite)="loadData($event)">
    <ion-infinite-scroll-content
      loadingSpinner="bubbles"
      loadingText="Loading more data..."
    >
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>
</ion-content>
